QT += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
QT += serialport network

TARGET = AaaxSoundEmitter
TEMPLATE = app

SOURCES += main.cpp\
    iat_record_sample.cpp \
AudioInput.cpp \
PipeDevice.cpp \
linuxrec.cpp \
    AaaxSoundEmitter.cpp

HEADERS  += \
    SbPreCompile.h \
formats.h \
linuxrec.h \
qise.h \
qtts.h \
    iat_record_sample.h \
    wave_pcm_hdr.h \
speech_recognizer.h \
AudioInput.h \
PipeDevice.h \
WrongWordObject.h \
    SvPreCompile.h \
    CommonTypes.grpc.pb.h \
    PaPreCompile.h \
    PaSignalProxy.h \
    AaPreCompile.h \
    AaaxSoundEmitter.h \
    ChatMessage.pb.h \
    SendFileMessage.pb.h


CONFIG +=  c++11

CONFIG+=precompile_header

PRECOMPILED_HEADER+=SbPreCompile.h \
SvPreCompile.h \
PaPreCompile.h \
AaPreCompile.h

FORMS += \
    AaaxSoundEmitter.ui

RESOURCES += \
    Images.qrc

DISTFILES += \
    Images/256.png \
    Images/1679707.png \
    Images/687474703a2f2f6c696e6f786964652e636f6d2f77702d636f6e74656e742f75706c6f6164732f323031332f31312f79756d2d7061636b6167652d696e7374616c6c2e706e67.Довольноглупобраузера \
    Images/aptf.png \
    Images/icon100_com_360.png \
    Images/Mimetypes-rpm-icon.png \
    Images/TaskbarAndStartmenu.png \
    Images/TrayIcon.png \
    Images/Icon.xcf \
    Images/TaskbarAndStartmenu.xcf \
    Images/TrayIcon.xcf

TRANSLATIONS+=AptF.ts

unix:!macx: LIBS += -lasound

QT+=multimedia

#安装
target.path=/usr/bin

INSTALLS += target

unix: CONFIG += link_pkgconfig
unix: PKGCONFIG += opus
